<template>
  <content-section class="bg-orange-500">
    <template #heading>
      <h2>{{ heading }}</h2>
    </template>

    <template #summary>
      <div class="markdown summary" v-html="text" />
    </template>

    <template #default>
      <div class="flex flex-col justify-center items-center">
        <checklist-grid :items="checklists" />
        <service-item-grid :items="serviceItems" class="mt-10 lg:mt-16" />
        <div class="mt-12 lg:mt-16">
          <button-link
            class="btn-base"
            :style="{ '--btn-bg-color': theme.colors.orange['500'] }"
            :to="site.routes[cta.routeId]"
          >
            {{ cta.action }}
          </button-link>
        </div>
      </div>
    </template>
  </content-section>
</template>

<script>
import ChecklistGrid from '~/components/common/ChecklistGrid';
import ServiceItemGrid from '~/components/common/ServiceItemGrid';

export default {
  name: 'HomeServicesSection',
  components: {
    ChecklistGrid,
    ServiceItemGrid,
  },
  inject: ['site', 'theme'],
  props: {
    heading: { type: String, default: undefined },
    text: { type: String, default: undefined },
    checklists: { type: Array, default: () => [] },
    serviceItems: { type: Array, default: () => [] },
    cta: {
      type: Object,
      default: () => ({ action: undefined, routeId: undefined }),
    },
  },
};
</script>
